Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.docking.defaults
Class DefaultDockingPort.PortLayout

    java.lang.Object
      org.flexdock.docking.defaults.DefaultDockingPort.PortLayout

All Implemented Interfaces:
  LayoutManager, LayoutManager2, Serializable

Enclosing class:
  DefaultDockingPort

    protected class DefaultDockingPort.PortLayout

extends Object
implements LayoutManager2, Serializable

See Also:
  Serialized Form

Constructor Summary
`protected` | `DefaultDockingPort.PortLayout()`

Method Summary
`void` | `addLayoutComponent(Component comp, Object constraints)`
`void` | `addLayoutComponent(String name, Component comp)`
`float` | `getLayoutAlignmentX(Container target)`
`float` | `getLayoutAlignmentY(Container target)`
`void` | `invalidateLayout(Container target)`
`void` | `layoutContainer(Container parent)` Instructs the layout manager to perform the layout for the specified container.
`Dimension` | `maximumLayoutSize(Container target)` Returns the maximum amount of space the layout can use.
`Dimension` | `minimumLayoutSize(Container parent)` Returns the minimum amount of space the layout needs.
`Dimension` | `preferredLayoutSize(Container parent)` Returns the amount of space the layout would like to have.
`void` | `removeLayoutComponent(Component comp)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultDockingPort.PortLayout

    protected DefaultDockingPort.PortLayout()

Method Detail

### preferredLayoutSize

    public Dimension preferredLayoutSize(Container parent)

  Returns the amount of space the layout would like to have.

  Specified by:
    `preferredLayoutSize` in interface `LayoutManager`
  Parameters:
    `parent` - the Container for which this layout manager is being used
  Returns:
    a Dimension object containing the layout's preferred size

### minimumLayoutSize

    public Dimension minimumLayoutSize(Container parent)

  Returns the minimum amount of space the layout needs.

  Specified by:
    `minimumLayoutSize` in interface `LayoutManager`
  Parameters:
    `parent` - the Container for which this layout manager is being used
  Returns:
    a Dimension object containing the layout's minimum size

### maximumLayoutSize

    public Dimension maximumLayoutSize(Container target)

  Returns the maximum amount of space the layout can use.

  Specified by:
    `maximumLayoutSize` in interface `LayoutManager2`
  Parameters:
    `target` - the Container for which this layout manager is being used
  Returns:
    a Dimension object containing the layout's maximum size

### layoutContainer

    public void layoutContainer(Container parent)

  Instructs the layout manager to perform the layout for the specified container.

  Specified by:
    `layoutContainer` in interface `LayoutManager`
  Parameters:
    `parent` - the Container for which this layout manager is being used

### addLayoutComponent

    public void addLayoutComponent(String name,
                                   Component comp)

  Specified by:
    `addLayoutComponent` in interface `LayoutManager`

### removeLayoutComponent

    public void removeLayoutComponent(Component comp)

  Specified by:
    `removeLayoutComponent` in interface `LayoutManager`

### addLayoutComponent

    public void addLayoutComponent(Component comp,
                                   Object constraints)

  Specified by:
    `addLayoutComponent` in interface `LayoutManager2`

### getLayoutAlignmentX

    public float getLayoutAlignmentX(Container target)

  Specified by:
    `getLayoutAlignmentX` in interface `LayoutManager2`

### getLayoutAlignmentY

    public float getLayoutAlignmentY(Container target)

  Specified by:
    `getLayoutAlignmentY` in interface `LayoutManager2`

### invalidateLayout

    public void invalidateLayout(Container target)

  Specified by:
    `invalidateLayout` in interface `LayoutManager2`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD